Loading...
Searching...
No Matches
Generic three-dimensional box.
Foundation Classes » Mathematics » Geometric objects

## Storers

typedef TBox3< float > | BALL::Box3
typedef TCircle3< float > | BALL::Circle3
typedef TLine3< float > | BALL::Line3
typedef TMatrix4x4< float > | BALL::Matrix4x4
typedef TPlane3< float > | BALL::Plane3
typedef TSimpleBox3< float > | BALL::SimpleBox3
typedef TSphere3< float > | BALL::Sphere3
template<typename T>
std::istream & | BALL::operator>> (std::istream &s, TBox3< T > &box)
template<typename T>
std::ostream & | BALL::operator<< (std::ostream &s, const TBox3< T > &box)
template<typename T>
std::istream & | BALL::operator>> (std::istream &s, TCircle3< T > &circle)
template<typename T>
std::ostream & | BALL::operator<< (std::ostream &s, const TCircle3< T > &circle)
template<typename T>
std::ostream & | BALL::operator<< (std::ostream &s, const TLine3< T > &line)
template<typename T>
std::istream & | BALL::operator>> (std::istream &s, TLine3< T > &line)
template<typename T>
std::istream & | BALL::operator>> (std::istream &s, TMatrix4x4< T > &m)
template<typename T>
std::ostream & | BALL::operator<< (std::ostream &s, const TMatrix4x4< T > &m)
template<typename T>
TMatrix4x4< T > | BALL::operator* (const T &scalar, const TMatrix4x4< T > &m)
template<typename T>
TVector3< T > | BALL::operator* (const TMatrix4x4< T > &matrix, const TVector3< T > &vector)
template<typename T>
std::istream & | BALL::operator>> (std::istream &s, TPlane3< T > &plane)
template<typename T>
std::ostream & | BALL::operator<< (std::ostream &s, const TPlane3< T > &plane)
template<typename T>
std::istream & | BALL::operator>> (std::istream &s, TSimpleBox3< T > &box)
template<typename T>
std::ostream & | BALL::operator<< (std::ostream &s, const TSimpleBox3< T > &box)
template<typename T>
std::istream & | BALL::operator>> (std::istream &s, TSphere3< T > &sphere)
template<typename T>
std::ostream & | BALL::operator<< (std::ostream &s, const TSphere3< T > &sphere)
BALL_EXPORT std::ostream & | BALL::operator<< (std::ostream &s, const ReducedSurface &rs)
BALL_EXPORT std::ostream & | BALL::operator<< (std::ostream &s, const RSEdge &rsedge)
BALL_EXPORT std::ostream & | BALL::operator<< (std::ostream &s, const RSFace &rsface)
BALL_EXPORT std::ostream & | BALL::operator<< (std::ostream &s, const RSVertex &rsvertex)
BALL_EXPORT std::ostream & | BALL::operator<< (std::ostream &s, const SASEdge &sasedge)
BALL_EXPORT std::ostream & | BALL::operator<< (std::ostream &s, const SASFace &sasface)
BALL_EXPORT std::ostream & | BALL::operator<< (std::ostream &s, const SASVertex &sasvertex)
BALL_EXPORT std::ostream & | BALL::operator<< (std::ostream &s, const SESEdge &sesedge)
BALL_EXPORT std::ostream & | BALL::operator<< (std::ostream &s, const SESFace &sesface)
BALL_EXPORT std::ostream & | BALL::operator<< (std::ostream &s, const SESVertex &sesvertex)
BALL_EXPORT std::ostream & | BALL::operator<< (std::ostream &s, const SolventAccessibleSurface &sas)
BALL_EXPORT std::ostream & | BALL::operator<< (std::ostream &s, const SolventExcludedSurface &ses)
BALL_EXPORT std::ostream & | BALL::operator<< (std::ostream &s, const Triangle &triangle)
BALL_EXPORT std::ostream & | BALL::operator<< (std::ostream &s, const TriangleEdge &edge)
BALL_EXPORT std::ostream & | BALL::operator<< (std::ostream &s, const TrianglePoint &point)
BALL_EXPORT std::ostream & | BALL::operator<< (std::ostream &s, const TriangulatedSurface &surface)

## Detailed Description

## Typedef Documentation

## Box3

typedef TBox3<float> BALL::Box3

Default three-dimensional box class of type float

Definition at line 496 of file box3.h.

## Circle3

typedef TCircle3<float> BALL::Circle3

needed for windows dlls Default three-dimensional circle class of type float

Definition at line 301 of file circle3.h.

## Line3

typedef TLine3<float> BALL::Line3

Default line of type float.

Definition at line 359 of file line3.h.

## Matrix4x4

typedef TMatrix4x4<float> BALL::Matrix4x4

The Default TMatrix4x4 Type. This default is predefined for convenience for those cases where single precision is sufficient.

Definition at line 2184 of file matrix44.h.

## Plane3

typedef TPlane3<float> BALL::Plane3

Default plane class of type float

Definition at line 401 of file plane3.h.

## SimpleBox3

typedef TSimpleBox3<float> BALL::SimpleBox3

Default three-dimensional box class of type float

Definition at line 615 of file simpleBox3.h.

## Sphere3

typedef TSphere3<float> BALL::Sphere3

Default sphere type. If double precision is not needed, TSphere3<float> should be used. It is predefined as Sphere3 for convenience.

Definition at line 299 of file sphere3.h.

## Function Documentation

## operator*() [1/2]

template<typename T>

TMatrix4x4< T > BALL::operator* | ( | const T & | scalar,
|  | const TMatrix4x4< T > & | m )

Definition at line 1295 of file matrix44.h.

## operator*() [2/2]

template<typename T>

TVector3< T > BALL::operator* | ( | const TMatrix4x4< T > & | matrix,
|  | const TVector3< T > & | vector )

Definition at line 1328 of file matrix44.h.

## operator<<() [1/23]

BALL_EXPORT std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const ReducedSurface & | rs )

Output- Operator. Prints out a ReducedSurface

## operator<<() [2/23]

BALL_EXPORT std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const RSEdge & | rsedge )

Output- Operator

## operator<<() [3/23]

BALL_EXPORT std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const RSFace & | rsface )

Output- Operator

## operator<<() [4/23]

BALL_EXPORT std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const RSVertex & | rsvertex )

Output- Operator prints out a rsvertex

## operator<<() [5/23]

BALL_EXPORT std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const SASEdge & | sasedge )

Output- Operator

## operator<<() [6/23]

BALL_EXPORT std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const SASFace & | sasface )

Output- Operator

## operator<<() [7/23]

BALL_EXPORT std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const SASVertex & | sasvertex )

Output- Operator

## operator<<() [8/23]

BALL_EXPORT std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const SESEdge & | sesedge )

Output- Operator

## operator<<() [9/23]

BALL_EXPORT std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const SESFace & | sesface )

Output- Operator

## operator<<() [10/23]

BALL_EXPORT std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const SESVertex & | sesvertex )

Output- Operator

## operator<<() [11/23]

BALL_EXPORT std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const SolventAccessibleSurface & | sas )

Output- Operator

## operator<<() [12/23]

BALL_EXPORT std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const SolventExcludedSurface & | ses )

Output- Operator

## operator<<() [13/23]

template<typename T>

std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const TBox3< T > & | box )

Output Operator. Writes the coordinates of the lower left corner of the box, and the three spanning vectors to an output stream. The vectors are enclosed by brackets.

  Example:

  ((0 0 0) (0 1 0) (1 0 0) (0 0 1)

See also
  TVector3::operator<<

Definition at line 484 of file box3.h.

## operator<<() [14/23]

template<typename T>

std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const TCircle3< T > & | circle )

Output Operator. Writes the values of p, n, and radius to an output stream. The three values are separated by spaces and enclosed in brackets.

  Example:

  ((0 0 0) (1 2 1) 3.5)

See also
  TVector3::operator<<

Definition at line 324 of file circle3.h.

## operator<<() [15/23]

template<typename T>

std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const TLine3< T > & | line )

Output operator. Writes the two public attributes d and p to an output stream. The values of the two vectors are enclosed in brackets.

  Example:

  ((0 0 0) (1 2 1))

See also
  TVector3::operator<<

Definition at line 382 of file line3.h.

## operator<<() [16/23]

template<typename T>

std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const TMatrix4x4< T > & | m )

Output Operator Writes sixteen values of type T to an output stream.

Parameters

  s | the output stream
  m | the matrix to write

Definition at line 2140 of file matrix44.h.

## operator<<() [17/23]

template<typename T>

std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const TPlane3< T > & | plane )

Output operator Prints two instances of TVector3: p, n

Definition at line 392 of file plane3.h.

## operator<<() [18/23]

BALL_EXPORT std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const Triangle & | triangle )

Output- Operator

## operator<<() [19/23]

BALL_EXPORT std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const TriangleEdge & | edge )

Output- Operator

## operator<<() [20/23]

BALL_EXPORT std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const TrianglePoint & | point )

Output- Operator

## operator<<() [21/23]

BALL_EXPORT std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const TriangulatedSurface & | surface )

Output- Operator

## operator<<() [22/23]

template<typename T>

std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const TSimpleBox3< T > & | box )

Output Operator. Writes the two coordinates of the box to an output stream. The vectors are enclosed by brackets.

  Example

  ((0 1 2) (7.5 3.4 10))

See also
  TVector3::operator<<

Definition at line 606 of file simpleBox3.h.

## operator<<() [23/23]

template<typename T>

std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const TSphere3< T > & | sphere )

Output Operator. Write the contents of p and radius to an output stream. The values are enclose in brackets.

  Example:

  ((0 1 1.5) 0.4)

Definition at line 286 of file sphere3.h.

## operator>>() [1/7]

template<typename T>

std::istream & BALL::operator>> | ( | std::istream & | s,
|  | TBox3< T > & | box )

Input operator. Reads in four objects of type TVector3 point, right, height, depth

Definition at line 464 of file box3.h.

## operator>>() [2/7]

template<typename T>

std::istream & BALL::operator>> | ( | std::istream & | s,
|  | TCircle3< T > & | circle )

Input operator. Reads in two TVector3 and a T value: p, n, radius

Definition at line 307 of file circle3.h.

## operator>>() [3/7]

template<typename T>

std::istream & BALL::operator>> | ( | std::istream & | s,
|  | TLine3< T > & | line )

Input operator. Reads two objcts of type TVector3 from an istream and assigns them to d and p.

Definition at line 366 of file line3.h.

## operator>>() [4/7]

template<typename T>

std::istream & BALL::operator>> | ( | std::istream & | s,
|  | TMatrix4x4< T > & | m )

Input Operator. Read sixteen values of type T from an input stream.

Parameters

  s | the input stream
  m | the matrix to read

Definition at line 2127 of file matrix44.h.

## operator>>() [5/7]

template<typename T>

std::istream & BALL::operator>> | ( | std::istream & | s,
|  | TPlane3< T > & | plane )

Input operator reads in two instances of TVector3: p, n

Definition at line 380 of file plane3.h.

## operator>>() [6/7]

template<typename T>

std::istream & BALL::operator>> | ( | std::istream & | s,
|  | TSimpleBox3< T > & | box )

Input operator. Reads in two objects of type TVector3 a and b

Definition at line 589 of file simpleBox3.h.

## operator>>() [7/7]

template<typename T>

std::istream & BALL::operator>> | ( | std::istream & | s,
|  | TSphere3< T > & | sphere )

Input operator. Reads in an instance of TVector3 and a T value : p, radius.

Definition at line 271 of file sphere3.h.